Skip to main content
PATCH
/
api
/
v1
/
agents
/
user
/
{agent_id}
Update user agent
curl --request PATCH \
  --url https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_tools": [
    {
      "command_template": "<string>",
      "description": "<string>",
      "id": "<string>",
      "input_schema": {},
      "is_executable": true,
      "script_content": "<string>",
      "script_path": "<string>",
      "timeout_seconds": 123
    }
  ],
  "description": "<string>",
  "install_commands": [
    "<string>"
  ],
  "is_dynamic": true,
  "name": "<string>",
  "native_tools": [
    "<string>"
  ],
  "prereq_packages": [
    "<string>"
  ],
  "require_env_vars": [
    "<string>"
  ],
  "system_context": "<string>",
  "tags": [
    "<string>"
  ],
  "verify_commands": [
    "<string>"
  ],
  "when_to_use": "<string>"
}
'
{
  "description": "<string>",
  "has_dynamic_tools": true,
  "has_memory": true,
  "id": "<string>",
  "name": "<string>",
  "tools_count": 123,
  "type": "user",
  "config_hash": "<string>",
  "config_version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "custom_tools": [
    {
      "commandTemplate": "<string>",
      "description": "<string>",
      "id": "<string>",
      "inputSchema": {},
      "isExecutable": true,
      "scriptContent": "<string>",
      "scriptPath": "<string>",
      "timeoutSeconds": 123
    }
  ],
  "custom_tools_count": 123,
  "fork_count": 123,
  "has_installation_requirements": true,
  "install_commands": [
    "<string>"
  ],
  "native_tools": [
    "<string>"
  ],
  "original_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "original_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "prereq_packages": [
    "<string>"
  ],
  "published_at": "2023-11-07T05:31:56Z",
  "require_env_vars": [
    "<string>"
  ],
  "system_context": "<string>",
  "tags": [
    "<string>"
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "verify_commands": [
    "<string>"
  ],
  "visibility": "public",
  "when_to_use": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

agent_id
string
required

Agent ID (kebab-case identifier)

Body

application/json
custom_tools
object[]
description
string
install_commands
string[]
is_dynamic
boolean
name
string
native_tools
string[]
prereq_packages
string[]
require_env_vars
string[]
system_context
string
tags
string[]
verify_commands
string[]
when_to_use
string

Response

Agent updated

description
string
required
has_dynamic_tools
boolean
required
has_memory
boolean
required
id
string
required

Agent ID for user access (use with /agents/user/{agent_id})

name
string
required
tools_count
integer
required
type
enum<string>
required
Available options:
user
config_hash
string
config_version
integer
created_at
string<date-time>
custom_tools
object[]
custom_tools_count
integer
fork_count
integer
has_installation_requirements
boolean
install_commands
string[]
native_tools
string[]
original_agent_id
string<uuid>
original_creator_id
string<uuid>
prereq_packages
string[]
published_at
string<date-time>
require_env_vars
string[]
system_context
string
tags
string[]
updated_at
string<date-time>
uuid
string<uuid>

Directory entry ID

verify_commands
string[]
visibility
enum<string>
Available options:
public,
private,
unlisted
when_to_use
string